TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.AdminPermissions Class Reference

This class represents a set of positive and negative administrative permissions. Negative permissions are only returned when the entry is returned from the server. In grant() and revoke() methods only positive permissions are used to specify the set of permissions which should be granted or revoked. Applications normally use objects returned as a result of a server query to obtain administrative permissions. If any permissions have to be changed, a new AdminPermission object should be created. More...

## Public Member Functions
| AdminPermissions ()
| Default constructor which creates empty set of permissions. More...
| AdminPermissions (long positive_perms)
| Creates a given set of positive permissions. More...
| AdminPermissions (long positive_perms, long negative_perms)
| Creates a given sets of positive and negative permissions. More...
bool | HasPositivePermission (long perm)
| Indicates whether or not given positive permissions are set. More...
void | SetPermission (long perm, bool grant)
| Set or unset positive permissions. More...
bool | HasNegativePermission (long perm)
| Indicates whether or not given negative permissions are set. More...
bool | HasInheritedPermission (long perm)
| Determine if the given permission is present in the Inherited Permissions. More...
override string | ToString ()
| Generate a string representation of this AdminPermissions. More...

## Static Public Attributes
static readonly long | VIEW_FACTORY = (_64BIT_ONE_ << 0)
static readonly long | CHANGE_FACTORY = (_64BIT_ONE_ << 1)
static readonly long | VIEW_ROUTE = (_64BIT_ONE_ << 2)
static readonly long | CHANGE_ROUTE = (_64BIT_ONE_ << 3)
static readonly long | VIEW_CONNECTION = (_64BIT_ONE_ << 4)
static readonly long | CHANGE_CONNECTION = (_64BIT_ONE_ << 5)
static readonly long | VIEW_DURABLE = (_64BIT_ONE_ << 6)
static readonly long | CHANGE_DURABLE = (_64BIT_ONE_ << 7)
static readonly long | PURGE_DURABLE = (_64BIT_ONE_ << 8)
static readonly long | VIEW_USER = (_64BIT_ONE_ << 9)
static readonly long | CHANGE_USER = (_64BIT_ONE_ << 10)
static readonly long | VIEW_GROUP = (_64BIT_ONE_ << 11)
static readonly long | CHANGE_GROUP = (_64BIT_ONE_ << 12)
static readonly long | VIEW_ACL = (_64BIT_ONE_ << 13)
static readonly long | CHANGE_ACL = (_64BIT_ONE_ << 14)
static readonly long | VIEW_DESTINATION = (_64BIT_ONE_ << 16)
static readonly long | CREATE_DESTINATION = (_64BIT_ONE_ << 17)
static readonly long | DELETE_DESTINATION = (_64BIT_ONE_ << 18)
static readonly long | MODIFY_DESTINATION = (_64BIT_ONE_ << 19)
static readonly long | PURGE_DESTINATION = (_64BIT_ONE_ << 20)
static readonly long | VIEW_MESSAGE = (_64BIT_ONE_ << 21)
static readonly long | CHANGE_MESSAGE = (_64BIT_ONE_ << 22)
static readonly long | VIEW_SERVER = (_64BIT_ONE_ << 23)
static readonly long | CHANGE_SERVER = (_64BIT_ONE_ << 24)
static readonly long | SHUTDOWN_SERVER = (_64BIT_ONE_ << 25)
static readonly long | VIEW_ADMIN_ACL = (_64BIT_ONE_ << 26)
static readonly long | CHANGE_ADMIN_ACL = (_64BIT_ONE_ << 27)
static readonly long | VIEW_BRIDGE = (_64BIT_ONE_ << 28)
static readonly long | CHANGE_BRIDGE = (_64BIT_ONE_ << 29)
static readonly long | VIEW_CHANNEL = (_64BIT_ONE_ << 30)
static readonly long | CHANGE_CHANNEL = (_64BIT_ONE_ << 31)
static readonly long | PROTECT1 = (_64BIT_ONE_ << 55)
static readonly long | PROTECT2 = (_64BIT_ONE_ << 56)
static readonly long | PROTECT3 = (_64BIT_ONE_ << 57)
static readonly long | PROTECT4 = (_64BIT_ONE_ << 58)
static readonly long | VIEW_ALL = (_64BIT_ONE_ << 61)
static readonly long | ALL = (_64BIT_ONE_ << 62)

## Properties
bool | Empty`[get]`
| Indicates whether or not this object has no negative or positive permissions set. More...

## Detailed Description

This class represents a set of positive and negative administrative permissions. Negative permissions are only returned when the entry is returned from the server. In grant() and revoke() methods only positive permissions are used to specify the set of permissions which should be granted or revoked. Applications normally use objects returned as a result of a server query to obtain administrative permissions. If any permissions have to be changed, a new AdminPermission object should be created.

## Constructor & Destructor Documentation

TIBCO.EMS.ADMIN.AdminPermissions.AdminPermissions | ( |  | ) |
| inline

Default constructor which creates empty set of permissions.

TIBCO.EMS.ADMIN.AdminPermissions.AdminPermissions | ( | long | positive_perms | ) |
| inline

Creates a given set of positive permissions.

Parameters

  positive_perms | the administrative permissions.

TIBCO.EMS.ADMIN.AdminPermissions.AdminPermissions | ( | long | positive_perms,
|  | long | negative_perms
| ) |  |
| inline

Creates a given sets of positive and negative permissions.

Parameters

  positive_perms | the positive permissions.
  negative_perms | the negative permissions.

## Member Function Documentation

bool TIBCO.EMS.ADMIN.AdminPermissions.HasInheritedPermission | ( | long | perm | ) |
| inline

Determine if the given permission is present in the Inherited Permissions.

Parameters

  perm | permissions

Returns
  true if given permissions are all present in inherited permissions

bool TIBCO.EMS.ADMIN.AdminPermissions.HasNegativePermission | ( | long | perm | ) |
| inline

Indicates whether or not given negative permissions are set.

Parameters

  perm | the negative permissions to be checked.

Returns
  boolean to indicate whether or not the negative permissions are set.

bool TIBCO.EMS.ADMIN.AdminPermissions.HasPositivePermission | ( | long | perm | ) |
| inline

Indicates whether or not given positive permissions are set.

Parameters

  perm | the positive permissions to be checked.

Returns
  boolean to indicate whether or not the positive permissions are set.

void TIBCO.EMS.ADMIN.AdminPermissions.SetPermission | ( | long | perm,
|  | bool | grant
| ) |  |
| inline

Set or unset positive permissions.

Parameters

  perm | positive permissions to be granted or revoked.
  grant | true if the permissions are to be granted and false if the permissions are to be revoked.

override string TIBCO.EMS.ADMIN.AdminPermissions.ToString | ( |  | ) |
| inline

Generate a string representation of this AdminPermissions.

Returns
  String representation of this AdminPermissions.

## Member Data Documentation

readonly long TIBCO.EMS.ADMIN.AdminPermissions.ALL = (_64BIT_ONE_ << 62)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_ACL = (_64BIT_ONE_ << 14)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_ADMIN_ACL = (_64BIT_ONE_ << 27)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_BRIDGE = (_64BIT_ONE_ << 29)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_CHANNEL = (_64BIT_ONE_ << 31)
| static

Deprecated:
  As of release 8.3

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_CONNECTION = (_64BIT_ONE_ << 5)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_DURABLE = (_64BIT_ONE_ << 7)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_FACTORY = (_64BIT_ONE_ << 1)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_GROUP = (_64BIT_ONE_ << 12)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_MESSAGE = (_64BIT_ONE_ << 22)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_ROUTE = (_64BIT_ONE_ << 3)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_SERVER = (_64BIT_ONE_ << 24)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CHANGE_USER = (_64BIT_ONE_ << 10)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.CREATE_DESTINATION = (_64BIT_ONE_ << 17)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.DELETE_DESTINATION = (_64BIT_ONE_ << 18)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.MODIFY_DESTINATION = (_64BIT_ONE_ << 19)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PROTECT1 = (_64BIT_ONE_ << 55)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PROTECT2 = (_64BIT_ONE_ << 56)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PROTECT3 = (_64BIT_ONE_ << 57)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PROTECT4 = (_64BIT_ONE_ << 58)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PURGE_DESTINATION = (_64BIT_ONE_ << 20)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.PURGE_DURABLE = (_64BIT_ONE_ << 8)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.SHUTDOWN_SERVER = (_64BIT_ONE_ << 25)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_ACL = (_64BIT_ONE_ << 13)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_ADMIN_ACL = (_64BIT_ONE_ << 26)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_ALL = (_64BIT_ONE_ << 61)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_BRIDGE = (_64BIT_ONE_ << 28)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_CHANNEL = (_64BIT_ONE_ << 30)
| static

Deprecated:
  As of release 8.3

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_CONNECTION = (_64BIT_ONE_ << 4)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_DESTINATION = (_64BIT_ONE_ << 16)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_DURABLE = (_64BIT_ONE_ << 6)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_FACTORY = (_64BIT_ONE_ << 0)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_GROUP = (_64BIT_ONE_ << 11)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_MESSAGE = (_64BIT_ONE_ << 21)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_ROUTE = (_64BIT_ONE_ << 2)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_SERVER = (_64BIT_ONE_ << 23)
| static

readonly long TIBCO.EMS.ADMIN.AdminPermissions.VIEW_USER = (_64BIT_ONE_ << 9)
| static

## Property Documentation

bool TIBCO.EMS.ADMIN.AdminPermissions.Empty
| get

Indicates whether or not this object has no negative or positive permissions set.

Returns
  a boolean to indicate whether or not both the positive and negative permissions are not set.